Bug 1283895 - QMP: Full introspection support
QMP: Full introspection support
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
All Linux
low Severity medium
: beta
: ---
Assigned To: Markus Armbruster
: FutureFeature
Depends On: 557939
Blocks: 693512 580953 QMPSelfDescr 821045 950968 1059069 1394681
  Show dependency treegraph
Reported: 2015-11-20 03:10 EST by Markus Armbruster
Modified: 2017-10-06 12:47 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 557939
Last Closed: 2017-10-06 12:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Markus Armbruster 2015-11-20 03:16:05 EST
In order to have full forward compatibility support, QMP needs to be capable of
describing itself.

This means that we need commands to dump the following protocol information:

o Accepted commands, arguments, responses and errors
o Asynchronous messages and their data
o Protocol capabilities
o Errors

The work has now landed upstream (commit 39a1815 "qapi: New QMP
command query-qmp-schema for QMP introspection" and commit 1a9a507
"qapi-introspect: Hide type names") and will be in 2.5.

This bug is for tracking a possible backport to qemu-kvm.
Comment 3 Markus Armbruster 2015-11-30 04:14:51 EST
No doc text needed, because direct use of QMP isn't supported.
Comment 4 Markus Armbruster 2016-07-22 03:38:00 EDT
A backport will be non-trivial.  It should only be undertaken if there's actual demand.  As long as there isn't, we'll keep punting this bug.

Note You need to log in before you can comment on or make changes to this bug.